Echart 2.0 与 Echart3.0 混用
Echart 2.0 与 Echart3.0 混用
北极喵 发表于6个月前
Echart 2.0 与 Echart3.0 混用
  • 发表于 6个月前
  • 阅读 16
  • 收藏 1
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

今天在工作过程中遇到一个关于echart的问题,由于echart2.0与3.0的差异很大,许多2.0版本的方法在3.0版本中已经取消或者改写,所以可能需要混用2.0与3.0版本。

在echart3.0版本中,force图表已经改为graph图表,本人在项目中原本使用2.0版本的echart,但是开发过程中需要使用到3.0版本的graph图表,所以想要混用2.0与3.0版本。在2.0版本中,2.0的引用配置如下:

<script src="../echarts/echarts.js"></script>

 <script type="text/javascript">

require.config({
        paths: {
            echarts: ' ';//url路径
        }
    });

 </script>

代码中按需加载只需加载相应的图表即可。

require(['echarts',
       'echarts/chart/bar', // 使用柱状图就加载bar模块,按需加载
        'echarts/chart/line'
        ]
     , function (echart) {

        //echart图表初始化等

});

3.0版本中只需直接引用echart.js即可引用。

<script src="../echarts/echarts-3.0.min.js"></script>

2.0版本与3.0版本混用必须先加载3.0版本再加载2.0版本,才能同时使用,否则2.0版本可能覆盖3.0版本的配置信息,导致图表无法显示,echarts未定义等错误出现。

标签: EChart JavaScript
  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 0
博文 2
码字总数 441
×
北极喵
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: